OsFamily (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.platform

## Class OsFamily

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.platform.OsFamily

- All Implemented Interfaces:
    java.lang.Cloneable

      public class OsFamily
      extends org.apache.tools.ant.Task

  Task definition for the `OsFamily` task. This task sets the property indicated in the "property" attribute with the string representing the operating system family. Possible values include "unix", "dos", "mac" and "windows".

       Task Declaration:

         <taskdef name="osfamily" classname="net.sf.antcontrib.platform.OsFamily" />

       Usage:

         <osfamily property="propname" />

       Attributes:
         property --> The name of the property to set with the OS family name

  Author:
    Matthew Inger

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OsFamily()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `setProperty(java.lang.String property)`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OsFamily

          public OsFamily()

  - ### Method Detail

    - #### setProperty

          public void setProperty(java.lang.String property)

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`